Bug 26281 - Add cancellation reason to holds history
Summary: Add cancellation reason to holds history
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 25534
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-22 09:46 UTC by Katrin Fischer
Modified: 2020-11-16 21:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This adds the new column for cancellation reason to the holds history page in the staff interface. See bug 25534 for more details on the new hold cancellation reason feature.
Version(s) released in:
20.11.00


Attachments
Bug 26281: Add cancellation reason to holds history (1.43 KB, patch)
2020-08-24 13:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 26281: Add cancellation reason to holds history (1.48 KB, patch)
2020-08-25 13:45 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26281: (QA follow-up) Fix missing filter (1.15 KB, patch)
2020-08-26 21:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-08-22 09:46:26 UTC
Bug 25534 adds the ability to store the cancellation reason when a hold is cancelled and communicate it to the user. It would be great if the cancellation reason could also be shown on the holds history.
Comment 1 Kyle M Hall 2020-08-24 13:25:49 UTC
Created attachment 108987 [details] [review]
Bug 26281: Add cancellation reason to holds history

Bug 25534 adds the ability to store the cancellation reason when a hold
is cancelled and communicate it to the user. It would be great if the
cancellation reason could also be shown on the holds history.

Test Plan:
1) Apply this patch
2) Cancel a hold with a reason
4) Browse to holds history for the holds' patron
5) Note the reason shows in the status column if one was provided
Comment 2 Amit Gupta 2020-08-25 13:45:02 UTC
Created attachment 109072 [details] [review]
Bug 26281: Add cancellation reason to holds history

Test Plan:
1) Apply this patch
2) Cancel a hold with a reason
4) Browse to holds history for the holds' patron
5) Note the reason shows in the status column if one was provided
Comment 3 Katrin Fischer 2020-08-26 21:20:26 UTC
Created attachment 109207 [details] [review]
Bug 26281: (QA follow-up) Fix missing filter

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-31 14:21:14 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 20:34:23 UTC
enhancement will not be backported to 20.05.x